Mavericks에 GCC 4.2 설치하기

terminal-icon-512x512

현재의 Mavericks+Xcode5 개발환경은 컴파일러를 Apple LLVM5만 지원해서 GCC4를 이용하도록 만든 프로그램들과 호환이 안 되는 경우가 있다.

GCC4를 Mavericks에 설치하는 방법으로는 다음과 같은 것이 있을 거다.

1. 직접 컴파일한다. MacPorts나 Homebrew를 쓰면 편할 듯.

2. 다른 사람이 미리 컴파일 해 놓은 것(예를 들자면 http://hpc.sourceforge.net)을 설치한다.

3. 시스템 환경 설정 등의 문제를 고려해 볼 때, 가장 쉬운 방법은 Xcode 이전 버전인 Xcode 4.6.3을 설치하는 것인 거 같다.(애플 홈페이지에서 등록 후 다운받을 수 있고, 인터넷에 공개되어 있는 것도 있다.)

실행 파일 이름을 ‘Xcode-4.6.3’ 처럼 다르게 고치면 Xcode5와 함께 설치할 수 있고, xcode-select로 선택하면 이전처럼 사용하는데 큰 문제가 없는 거 같다.(물론 Xcode 4.6.3에 포함된 GCC는 GCC가 아니라 Apple LLVM-GCC 4.2.1이다.)

답글 남기기

아래 항목을 채우거나 오른쪽 아이콘 중 하나를 클릭하여 로그 인 하세요:

WordPress.com 로고

WordPress.com의 계정을 사용하여 댓글을 남깁니다. 로그아웃 / 변경 )

Twitter 사진

Twitter의 계정을 사용하여 댓글을 남깁니다. 로그아웃 / 변경 )

Facebook 사진

Facebook의 계정을 사용하여 댓글을 남깁니다. 로그아웃 / 변경 )

Google+ photo

Google+의 계정을 사용하여 댓글을 남깁니다. 로그아웃 / 변경 )

%s에 연결하는 중